View Issue Details

IDProjectCategoryView StatusLast Update
0010634ScribusStylespublic2016-04-02 15:03
Reporterpygmee Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status newResolutionopen 
PlatformLinuxOSDebianOS VersionLenny
Product Version1.4.0 
Target VersionFixed in Version 
Summary0010634: Pasting text applies style to destination paragraph
DescriptionWhen pasting text from one paragraph to another, the style applied on the copied text is applied to the paragraph in which the text is pasted in. It is interesting if a whole paragraph is copied but not a selection of words. I propose the add this condition or have a paste special shortcut (for ex Ctrl+Maj+V) that paste text only and keeps the settings of the paragraph.
Tagsstyles
Patch

Relationships

related to 0003345 new Paste text without formatting 
related to 0011574 confirmed Usability : Pasting text should not paste the paragraph style 
related to 0005320 confirmed Copy/Paste between docs may create unneccessary line styles 
related to 0012629 feedback Copy/Paste will import a bunch of XML when pasting in to Scribus from certain sources 

Activities

ale

2012-03-26 19:04

manager   ~0027864

... i wonder if the default should be to paste the formatted or the raw text...

Kunda

2016-04-02 13:40

updater   ~0039709

this should be merged in to 0003345

Issue History

Date Modified Username Field Change
2012-03-21 14:11 pygmee New Issue
2012-03-26 19:04 ale Note Added: 0027864
2014-09-17 15:25 Kunda Relationship added related to 0012629
2014-09-19 18:40 Kunda Relationship added related to 0011929
2014-09-19 18:40 Kunda Relationship deleted related to 0011929
2014-09-19 18:40 Kunda Relationship added related to 0003345
2014-09-20 11:57 JLuc Tag Attached: styles
2016-04-02 13:40 Kunda Note Added: 0039709
2016-04-02 15:03 Kunda Relationship added related to 0011574
2016-04-02 15:03 Kunda Relationship added related to 0005320